#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Сборка
"""

# ######################################################################################################################
# Импорт необходимых инструментов
# ######################################################################################################################
# Подавление Warning
import warnings

for warn in [UserWarning, FutureWarning]:
    warnings.filterwarnings("ignore", category=warn)

from dataclasses import dataclass  # Класс данных

# Персональные
from openav.modules.lab.audiovisual import AV  # Мультимодальное объединение аудио- и видеомодальностей


# ######################################################################################################################
# Сборка
# ######################################################################################################################
@dataclass
class Run(AV):
    """Класс для сборки библиотеки

    Args:
        path_to_logs (str): Смотреть :attr:`~openav.modules.core.logging.Logging.path_to_logs`
        lang (str): Смотреть :attr:`~openav.modules.core.language.Language.lang`
    """

    # ------------------------------------------------------------------------------------------------------------------
    # Конструктор
    # ------------------------------------------------------------------------------------------------------------------

    def __post_init__(self):
        super().__post_init__()  # Выполнение конструктора из суперкласса
